## GtkPlotPS GtkPlotPS — postscript driver |

## Functions

GtkObject * | gtk_plot_ps_new ()
GtkObject * | gtk_plot_ps_new_with_size ()
void | gtk_plot_ps_construct ()
void | gtk_plot_ps_construct_with_size ()
void | gtk_plot_ps_set_size ()
void | gtk_plot_ps_set_scale ()

## Types and Values

struct | GtkPlotPS

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotPC
                    ╰── GtkPlotPS

## Includes

    #include <gtkextra.h>

## Description

Subclass of GtkPlotPC used to generate PostScript output.

## Functions

### gtk_plot_ps_new ()

    GtkObject *
    gtk_plot_ps_new (const gchar *psname,
                     gint orientation,
                     gint epsflag,
                     gint page_size,
                     gdouble scalex,
                     gdouble scaley);

#### Returns

a new GtkObject.

### gtk_plot_ps_new_with_size ()

    GtkObject *
    gtk_plot_ps_new_with_size (const gchar *psname,
                               gint orientation,
                               gint epsflag,
                               gint units,
                               gdouble width,
                               gdouble height,
                               gdouble scalex,
                               gdouble scaley);

#### Returns

a new GtkObject.

### gtk_plot_ps_construct ()

    void
    gtk_plot_ps_construct (GtkPlotPS *ps,
                           const gchar *psname,
                           gint orientation,
                           gint epsflag,
                           gint page_size,
                           gdouble scalex,
                           gdouble scaley);

#### Parameters

ps | a GtkPlotPS |

### gtk_plot_ps_construct_with_size ()

    void
    gtk_plot_ps_construct_with_size (GtkPlotPS *ps,
                                     const gchar *psname,
                                     gint orientation,
                                     gint epsflag,
                                     gint units,
                                     gdouble width,
                                     gdouble height,
                                     gdouble scalex,
                                     gdouble scaley);

#### Parameters

ps | a GtkPlotPS |

### gtk_plot_ps_set_size ()

    void
    gtk_plot_ps_set_size (GtkPlotPS *ps,
                          gint units,
                          gdouble width,
                          gdouble height);

#### Parameters

ps | a GtkPlotPS |

### gtk_plot_ps_set_scale ()

    void
    gtk_plot_ps_set_scale (GtkPlotPS *ps,
                           gdouble scalex,
                           gdouble scaley);

#### Parameters

ps | a GtkPlotPS |

## Types and Values

### struct GtkPlotPS

    struct GtkPlotPS;